﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Wisej.Web;

namespace bug_wisej_owin_loadconfiguration
{
    internal class Program
    {
        private static void Main(string[] args)
        {
            var host = Wisej.HostService.Owin.WisejHost.Create();
            host.Start("localhost", 8080);

            System.Diagnostics.Process.Start("http://localhost:8080");
            System.Diagnostics.Process.Start("http://localhost:8080/admin.html");
            System.Diagnostics.Process.Start("http://localhost:8080/adminWithExistingJson.html");

            Console.ReadLine();

            host.Dispose();
        }

        private static void DefaultMain()
        {
            Application.MainPage = new MainPage("default");
        }

        private static void AdminMain()
        {
            Application.MainPage = new MainPage("admin");
        }
    }
}